Results 1 to 8 of 8

Thread: How to install sqlite3-devel on SUSE

  1. #1

    Default How to install sqlite3-devel on SUSE

    Hello,

    i want to install RVM. It says, that it requires sqlite3-devel.
    Doesnt work with zypper sqlite3-devel.

    Anyone can help me out with this?

    Cheers

  2. #2

    Default Re: How to install sqlite3-devel on SUSE

    Quote Originally Posted by Doenermaschiene View Post
    Doesnt work with zypper sqlite3-devel.
    And what does "Doesnt work" mean exactly?

    The correct command would be "zypper install sqlite3-devel" though (you can abbreviate "install" with "in" too).
    Or use YaST->Software Management.

  3. #3

    Default Re: How to install sqlite3-devel on SUSE

    Quote Originally Posted by wolfi323 View Post
    And what does "Doesnt work" mean exactly?

    The correct command would be "zypper install sqlite3-devel" though (you can abbreviate "install" with "in" too).
    Or use YaST->Software Management.
    Thank you for your reply. Ye thats what i am triing. But it doesnt work:

    Code:
    sudo zypper install sqlite3-devel
    Loading repository data...
    Reading installed packages...
    Package 'sqlite3-devel' not found.
    Resolving package dependencies...
    
    Nothing to do.
    Would it change anything if i used YAST? Soory to ask those questions, but how does YAST work?

  4. #4

    Default Re: How to install sqlite3-devel on SUSE

    Quote Originally Posted by Doenermaschiene View Post
    Thank you for your reply. Ye thats what i am triing. But it doesnt work:
    Apparently zypper doesn't find the package.

    And what openSUSE version are you using?
    You selected "OTHER VERSION"...
    sqlite3-devel definitely exists in Leap and Tumbleweed, and also older versions since at least openSUSE 12.2.

    And post the list of repos, please:
    Code:
    zypper lr -d
    Would it change anything if i used YAST?
    Not really, but you'd immediately see what packages do exist.

  5. #5

    Default Re: How to install sqlite3-devel on SUSE

    PS:
    Quote Originally Posted by Doenermaschiene View Post
    but how does YAST work?
    YaST offers a GUI to install/remove packages.
    But it is just a different frontend to the same underlying package management system (libzypp, rpm).
    Last edited by wolfi323; 15-Jan-2018 at 10:44.

  6. #6

    Default Re: How to install sqlite3-devel on SUSE

    First, thanks a lot for your help.
    Well - actually i am using SLES 12. Not open suse, but i thought their repos should be similar, the same? Sorry - so far i only used debian, so SUSE is kinda experimental for me.

    Now i only use the following repos - maybe i need different ones?

    Code:
    1 | devel_gcc                                          | GNU Compiler Collection container (SLE-11) | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/gcc/                              SLE-11/                                                                                                                                                                                                                                                                                                                                                     |
    2 | susemanager:sle-manager-tools12-pool-x86_64-sp3    | SLE-Manager-Tools12-Pool x86_64 SP3        | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | https://mitsusem1.srv.med.uni-muenchen.de:443/rhn/man                              ager/download/sle-manager-tools12-pool-x86_64-sp3?eyJhbGciOiJIUzI1NiJ9.eyJleHAiOjE1NDY5NTE2MjYsImlhdCI6MTUxNTQxNTYyNiwibmJmIjoxNTE1NDE1NTA2LCJvcmciOjEsImp0aSI6IlZRMUtyY3M0dDE0cFIxQWxWN2hwbmciLCJvbmx5Q2hhbm5l                              bHMiOlsic2xlLW1hbmFnZXItdG9vbHMxMi1wb29sLXg4Nl82NC1zcDMiXX0.dT7ihJxTopjppJ2yF96kAm_yz3n60S5vGNYQsQaxj9o        |
    3 | susemanager:sle-manager-tools12-updates-x86_64-sp3 | SLE-Manager-Tools12-Updates x86_64 SP3     | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | https://mitsusem1.srv.med.uni-muenchen.de:443/rhn/man                              ager/download/sle-manager-tools12-updates-x86_64-sp3?eyJhbGciOiJIUzI1NiJ9.eyJleHAiOjE1NDY5NTE2MjYsImlhdCI6MTUxNTQxNTYyNiwibmJmIjoxNTE1NDE1NTA2LCJvcmciOjEsImp0aSI6Ilh1TkJVMEZkdnhQQUtPTEw5QkVRLVEiLCJvbmx5Q2hhb                              m5lbHMiOlsic2xlLW1hbmFnZXItdG9vbHMxMi11cGRhdGVzLXg4Nl82NC1zcDMiXX0.sOY8ftqEAi4JBmdJy5dIF8sPtpxtz2jKEcS05fHCzTg |
    4 | susemanager:sles12-sp3-pool-x86_64                 | SLES12-SP3-Pool for x86_64                 | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | https://mitsusem1.srv.med.uni-muenchen.de:443/rhn/man                              ager/download/sles12-sp3-pool-x86_64?eyJhbGciOiJIUzI1NiJ9.eyJleHAiOjE1NDY5NTE2MjYsImlhdCI6MTUxNTQxNTYyNiwibmJmIjoxNTE1NDE1NTA2LCJvcmciOjEsImp0aSI6IjFhQWJLc3VvNUU5Qzl4R054aFBNMEEiLCJvbmx5Q2hhbm5lbHMiOlsic2xlc                              zEyLXNwMy1wb29sLXg4Nl82NCJdfQ.2Qi3a0xPpvNdpEqcj7q1piEAASFW6auA4ankPwf0VEE                                      |
    5 | susemanager:sles12-sp3-updates-x86_64              | SLES12-SP3-Updates for x86_64              | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | https://mitsusem1.srv.med.uni-muenchen.de:443/rhn/man                              ager/download/sles12-sp3-updates-x86_64?eyJhbGciOiJIUzI1NiJ9.eyJleHAiOjE1NDY5NTE2MjYsImlhdCI6MTUxNTQxNTYyNiwibmJmIjoxNTE1NDE1NTA2LCJvcmciOjEsImp0aSI6ImpHZTlkSEpkVTBIc09KSlRNV0pOZkEiLCJvbmx5Q2hhbm5lbHMiOlsic2                              xlczEyLXNwMy11cGRhdGVzLXg4Nl82NCJdfQ.N7vXBLWJmo_iqAaWhVmvrUfAW0d3JYx7ZFnGWKms_74

  7. #7

    Default Re: How to install sqlite3-devel on SUSE

    Quote Originally Posted by Doenermaschiene View Post
    Well - actually i am using SLES 12.
    In that case, better ask in the SUSE forums:
    https://forums.suse.com/
    (same username/password as here)


    Not open suse, but i thought their repos should be similar, the same?
    No idea, I never used SLE.
    Maybe you'd have to add an additional repo for sqlite3...

    SLE is based on openSUSE to some degree (and openSUSE Leap is based on SLE in turn), but that doesn't mean that the repos are similar or that they contain the same set of packages.
    In fact, SLE comes with a lot less packages than openSUSE.

    As openSUSE Leap's sqlite3 package comes from SLE, it should be available in SLE12 too... AFAICS the package in Leap 42.3 comes from SUSE:SLE-12-SP1:Update though, which I don't see in your list. But as indicated, I have absolutely no clue about SLE repos.
    Last edited by wolfi323; 15-Jan-2018 at 11:00.

  8. #8

    Default Re: How to install sqlite3-devel on SUSE

    Quote Originally Posted by wolfi323 View Post
    In that case, better ask in the SUSE forums:
    https://forums.suse.com/
    (same username/password as here)



    No idea, I never used SLE.
    Maybe you'd have to add an additional repo for sqlite3...

    SLE is based on openSUSE to some degree (and openSUSE Leap is based on SLE in turn), but that doesn't mean that the repos are similar or that they contain the same set of packages.
    In fact, SLE comes with a lot less packages than openSUSE.

    As openSUSE Leap's sqlite3 package comes from SLE, it should be available in SLE12 too... AFAICS the package in Leap 42.3 comes from SUSE:SLE-12-SP1:Update though, which I don't see in your list. But as indicated, I have absolutely no clue about SLE repos.
    Thanks a lot for your help. I ll do that!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •